Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.http.ssl
Class HTTPSServerInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.ServerInvoker
              org.jboss.remoting.transport.web.WebServerInvoker
                  org.jboss.remoting.transport.http.HTTPServerInvoker
                      org.jboss.remoting.transport.http.ssl.HTTPSServerInvoker

All Implemented Interfaces:
  java.lang.Runnable, Invoker, ServerInvokerMBean

Deprecated. This class has been replaced by org.jboss.remoting.transport.coyote.CoyoteInvoker, which is used as the default server invoker for the http and https transport on the server side. This class will be removed from remoting distribution in a future release.

    public class HTTPSServerInvoker

extends HTTPServerInvoker

Extension of the HTTPserverInvoker which uses a custom server socket which is created using custom server socket factory that can support SSL.

Author:
  Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.ServerInvoker
`ServerInvoker.InvalidStateException`

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary
`protected javax.net.ServerSocketFactory` | `serverSocketFactory` Deprecated.

Fields inherited from class org.jboss.remoting.transport.http.HTTPServerInvoker
`backlog, HTML, HTTP_KEEP_ALIVE_TIMEOUT_KEY, HTTP_THREAD_POOL_CLASS_KEY, keepAliveTimeout, MAX_NUM_HTTP_THREADS_KEY, PLAIN, SOAP`

Fields inherited from class org.jboss.remoting.transport.web.WebServerInvoker
`HEADER_SESSION_ID, HEADER_SUBSYSTEM`

Fields inherited from class org.jboss.remoting.ServerInvoker
`BLOCKING, BLOCKING_MODE, BLOCKING_TIMEOUT, callbackHandlers, CLIENT_CONNECT_ADDRESS_KEY, CLIENT_CONNECT_PORT_KEY, CLIENT_LEASE_PERIOD, clientCallbackListener, connectionNotifier, DEFAULT_BLOCKING_TIMEOUT, DEFAULT_CLIENT_LEASE_PERIOD, DEFAULT_TIMEOUT_PERIOD, handlers, INVOKER_SESSION_ID, MAX_NUM_ONEWAY_THREADS, MAX_NUM_ONEWAY_THREADS_KEY, MAX_ONEWAY_THREAD_POOL_QUEUE_SIZE, NONBLOCKING, ONEWAY_THREAD_POOL_CLASS_KEY, REGISTER_CALLBACK_LISTENER, registerCallbackListeners, SERVER_BIND_ADDRESS_KEY, SERVER_BIND_PORT_KEY, SERVER_SOCKET_FACTORY, singleCallbackContainer, singleHandler, started, TIMEOUT`

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`HTTPSServerInvoker(InvokerLocator locator)` Deprecated.
`HTTPSServerInvoker(InvokerLocator locator, java.util.Map configuration)` Deprecated.

Method Summary
`protected java.net.ServerSocket` | `createServerSocket(int serverBindPort, int backlog, java.net.InetAddress bindAddress)` Deprecated.
`void` | `setServerSocketFactory(javax.net.ServerSocketFactory serverSocketFactory)` Deprecated. Sets the server socket factory for the SocketServerInvoker to use.

Methods inherited from class org.jboss.remoting.transport.http.HTTPServerInvoker
`getHTTPThreadPool, getKeepAliveTimeout, getMaxNumberOfHTTPThreads, run, setHTTPThreadPool, setKeepAliveTimeout, setMaxNumberOfHTTPThreads, setNewServerSocketFactory, setup, start, stop`

Methods inherited from class org.jboss.remoting.transport.web.WebServerInvoker
`createNewInvocationRequest, getContentLength, getDefaultDataType, getInvocationRequest, getMarshaller, getSessionId, getUnMarshaller, isTransportBiDirectional`

Methods inherited from class org.jboss.remoting.ServerInvoker
`addConnectionListener, addInvocationHandler, assignPort, create, createServerSocketFactory, destroy, getClientConnectAddress, getClientConnectPort, getConfiguration, getDataType, getDefaultServerSocketFactory, getInvocationHandler, getInvocationHandlers, getLease, getLeasePeriod, getMaxNumberOfOnewayThreads, getMBeanObjectName, getMBeanServer, getOnewayThreadPool, getServerBindAddress, getServerBindPort, getServerSocketFactory, getSupportedSubsystems, getTimeout, handleInternalInvocation, hasInvocationHandler, invoke, invoke, isLeaseActivated, isRegisterCallbackListeners, isStarted, justNeedsSSLClientMode, postProcess, preProcess, removeCallbackListener, removeConnectionListener, removeInvocationHandler, setClientConnectAddress, setClientConnectPort, setConfiguration, setLeasePeriod, setMaxNumberOfOnewayThreads, setMBeanServer, setOnewayThreadPool, setRegisterCallbackListeners, setTimeout, wrapServerSocketFactory`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, createSocketFactory, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverSocketFactory

    protected javax.net.ServerSocketFactory serverSocketFactory

  Deprecated.

Constructor Detail

### HTTPSServerInvoker

    public HTTPSServerInvoker(InvokerLocator locator)

  Deprecated.

### HTTPSServerInvoker

    public HTTPSServerInvoker(InvokerLocator locator,
                              java.util.Map configuration)

  Deprecated.

Method Detail

### createServerSocket

    protected java.net.ServerSocket createServerSocket(int serverBindPort,
                                                       int backlog,
                                                       java.net.InetAddress bindAddress)
                                                throws java.io.IOException

  Deprecated.
  Overrides:
    `createServerSocket` in class `HTTPServerInvoker`
  Throws:
    `java.io.IOException`

### setServerSocketFactory

    public void setServerSocketFactory(javax.net.ServerSocketFactory serverSocketFactory)

  Deprecated.
  Sets the server socket factory for the SocketServerInvoker to use. Can produce normal server socket or ssl server socket, depending on implementation passed.

  Overrides:
    `setServerSocketFactory` in class `ServerInvoker`
  Parameters:
    `serverSocketFactory` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.